<?php

/**
 * clentac_scripts description
 * @return [type] [description]
 */
function clentac_scripts() {

    /**
     * ALL CSS FILES
    */
    wp_enqueue_style('clentac-fonts', clentac_fonts_url(), array(), '1.0.0');
    if( is_rtl() ){
        wp_enqueue_style( 'bootstrap-rtl', CLENTAC_THEME_CSS_DIR.'bootstrap.rtl.min.css', array() );
    }else{
        wp_enqueue_style( 'bootstrap', CLENTAC_THEME_CSS_DIR.'bootstrap.min.css', array() );
    }
    wp_enqueue_style( 'animate', CLENTAC_THEME_CSS_DIR . 'animate.min.css', [] );
    wp_enqueue_style( 'magnific-popup', CLENTAC_THEME_CSS_DIR . 'magnific-popup.css', [] );
    wp_enqueue_style( 'clentac-fontAwesome', CLENTAC_THEME_CSS_DIR . 'fontawesome-all.min.css', [] );
    wp_enqueue_style( 'odometer', CLENTAC_THEME_CSS_DIR . 'odometer.css', [] );
    wp_enqueue_style( 'jarallax', CLENTAC_THEME_CSS_DIR . 'jarallax.css', [] );
    wp_enqueue_style( 'swiper-bundle', CLENTAC_THEME_CSS_DIR . 'swiper-bundle.min.css', [] );
    wp_enqueue_style( 'BeerSlider', CLENTAC_THEME_CSS_DIR . 'BeerSlider.css', [] );
    wp_enqueue_style( 'tg-cursor', CLENTAC_THEME_CSS_DIR . 'tg-cursor.css', [] );
    wp_enqueue_style( 'slick', CLENTAC_THEME_CSS_DIR . 'slick.css', [] );
    wp_enqueue_style( 'aos', CLENTAC_THEME_CSS_DIR . 'aos.css', [] );
    wp_enqueue_style( 'clentac-default', CLENTAC_THEME_CSS_DIR . 'default.css', [] );
    wp_enqueue_style( 'clentac-core', CLENTAC_THEME_CSS_DIR . 'clentac-core.css', [] );
    wp_enqueue_style( 'responsive', CLENTAC_THEME_CSS_DIR . 'responsive.css', [] );
    wp_enqueue_style( 'clentac-unit', CLENTAC_THEME_CSS_DIR . 'clentac-unit.css', [] );
    wp_enqueue_style( 'clentac-woo', CLENTAC_THEME_CSS_DIR . 'clentac-woo.css', [] );
    wp_enqueue_style( 'clentac-custom', CLENTAC_THEME_CSS_DIR . 'clentac-custom.css', [] );
    wp_enqueue_style( 'clentac-style', get_stylesheet_uri() );


    // ALL JS FILES
    wp_enqueue_script( 'bootstrap-bundle', CLENTAC_THEME_JS_DIR . 'bootstrap.min.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'magnific-popup', CLENTAC_THEME_JS_DIR . 'jquery.magnific-popup.min.js', ['jquery' ], '', true );
    wp_enqueue_script( 'odometer', CLENTAC_THEME_JS_DIR . 'jquery.odometer.min.js', ['jquery' ], '', true );
    wp_enqueue_script( 'BeerSlider', CLENTAC_THEME_JS_DIR . 'BeerSlider.js', ['jquery' ], '', true );
    wp_enqueue_script( 'appear', CLENTAC_THEME_JS_DIR . 'jquery.appear.js', ['jquery' ], '', true );
    wp_enqueue_script( 'swiper-bundle', CLENTAC_THEME_JS_DIR . 'swiper-bundle.min.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'jarallax', CLENTAC_THEME_JS_DIR . 'jarallax.min.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'slick', CLENTAC_THEME_JS_DIR . 'slick.min.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'slick-animation', CLENTAC_THEME_JS_DIR . 'slick-animation.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'gsap', CLENTAC_THEME_JS_DIR . 'gsap.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'ScrollTrigger', CLENTAC_THEME_JS_DIR . 'ScrollTrigger.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'SplitText', CLENTAC_THEME_JS_DIR . 'SplitText.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'gsap-animation', CLENTAC_THEME_JS_DIR . 'gsap-animation.js', [ 'jquery' ], '', true );
    $clentac_cursor_mode = get_theme_mod('clentac_cursor_mode', false);
    if(!empty( $clentac_cursor_mode )){
        wp_enqueue_script( 'tg-cursor', CLENTAC_THEME_JS_DIR . 'tg-cursor.min.js', [ 'jquery' ], '', true );
    };
    wp_enqueue_script( 'wow', CLENTAC_THEME_JS_DIR . 'wow.min.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'aos', CLENTAC_THEME_JS_DIR . 'aos.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'clentac-main', CLENTAC_THEME_JS_DIR . 'main.js', [ 'jquery' ], false, true );

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'clentac_scripts' );

/*
Register Fonts
*/
function clentac_fonts_url() {
    $font_url = '';

    /*
    Translators: If there are characters in your language that are not supported
    by chosen font(s), translate this to 'off'. Do not translate into your own language.
    */
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'clentac' ) ) {
        $font_url = add_query_arg( 'family', 'DM+Sans:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700' , "//fonts.googleapis.com/css");
    }
    return $font_url;
}