<?php
/**
 * clentac customizer
 *
 * @package clentac
 */

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Added Panels & Sections
 */
function clentac_customizer_panels_sections( $wp_customize ) {

    //Add panel
    $wp_customize->add_panel( 'clentac_customizer', [
        'priority' => 10,
        'title'    => esc_html__( 'Clentac Customizer', 'clentac' ),
    ] );

    /**
     * Customizer Section
     */
    $wp_customize->add_section( 'clentac_default_setting', [
        'title'       => esc_html__( 'Clentac Default Setting', 'clentac' ),
        'description' => '',
        'priority'    => 10,
        'capability'  => 'edit_theme_options',
        'panel'       => 'clentac_customizer',
    ] );

    $wp_customize->add_section('section_header_logo', [
        'title'       => esc_html__('Header Setting', 'clentac'),
        'description' => '',
        'priority'    => 11,
        'capability'  => 'edit_theme_options',
        'panel'       => 'clentac_customizer',
    ]);

    $wp_customize->add_section( 'header_top_setting', [
        'title'       => esc_html__( 'Header Top Setting', 'clentac' ),
        'description' => '',
        'priority'    => 12,
        'capability'  => 'edit_theme_options',
        'panel'       => 'clentac_customizer',
    ] );

    $wp_customize->add_section( 'header_right_setting', [
        'title'       => esc_html__( 'Header Right Setting', 'clentac' ),
        'description' => '',
        'priority'    => 13,
        'capability'  => 'edit_theme_options',
        'panel'       => 'clentac_customizer',
    ] );

    $wp_customize->add_section( 'mobile_menu_setting', [
        'title'       => esc_html__( 'Mobile Menu Setting', 'clentac' ),
        'description' => '',
        'priority'    => 14,
        'capability'  => 'edit_theme_options',
        'panel'       => 'clentac_customizer',
    ] );

    $wp_customize->add_section( 'breadcrumb_setting', [
        'title'       => esc_html__( 'Breadcrumb Setting', 'clentac' ),
        'description' => '',
        'priority'    => 15,
        'capability'  => 'edit_theme_options',
        'panel'       => 'clentac_customizer',
    ] );

    $wp_customize->add_section( 'blog_setting', [
        'title'       => esc_html__( 'Blog Setting', 'clentac' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'clentac_customizer',
    ] );

    $wp_customize->add_section( 'footer_setting', [
        'title'       => esc_html__( 'Footer Settings', 'clentac' ),
        'description' => '',
        'priority'    => 17,
        'capability'  => 'edit_theme_options',
        'panel'       => 'clentac_customizer',
    ] );

    $wp_customize->add_section( 'color_setting', [
        'title'       => esc_html__( 'Color Setting', 'clentac' ),
        'description' => '',
        'priority'    => 18,
        'capability'  => 'edit_theme_options',
        'panel'       => 'clentac_customizer',
    ] );

    $wp_customize->add_section( '404_page', [
        'title'       => esc_html__( '404 Page', 'clentac' ),
        'description' => '',
        'priority'    => 19,
        'capability'  => 'edit_theme_options',
        'panel'       => 'clentac_customizer',
    ] );

    $wp_customize->add_section( 'typo_setting', [
        'title'       => esc_html__( 'Typography Setting', 'clentac' ),
        'description' => '',
        'priority'    => 20,
        'capability'  => 'edit_theme_options',
        'panel'       => 'clentac_customizer',
    ] );

    $wp_customize->add_section( 'woo_setting', [
        'title'       => esc_html__( 'WooCommerce Settings', 'clentac' ),
        'description' => '',
        'priority'    => 21,
        'capability'  => 'edit_theme_options',
        'panel'       => 'clentac_customizer',
    ] );
}

add_action( 'customize_register', 'clentac_customizer_panels_sections' );


/*
Theme Default Settings
*/
function _clentac_default_fields( $fields ) {

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_preloader',
        'label'    => esc_html__( 'Preloader Switcher', 'clentac' ),
        'section'  => 'clentac_default_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_cursor_mode',
        'label'    => esc_html__( 'Cursor Effect Switcher', 'clentac' ),
        'section'  => 'clentac_default_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_backTop',
        'label'    => esc_html__( 'Back to Top Switcher', 'clentac' ),
        'section'  => 'clentac_default_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_clentac_default_fields' );


/*
Header Settings
 */
function _header_header_fields( $fields ) {

    // Sticky Header
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_show_sticky_header',
        'label'    => esc_html__( 'Show Sticky Header', 'clentac' ),
        'section'  => 'section_header_logo',
        'default'  => 0,
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_header',
        'label'       => esc_html__( 'Select Header Style', 'clentac' ),
        'section'     => 'section_header_logo',
        'placeholder' => esc_html__( 'Select an option...', 'clentac' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'header-style-1'   => get_template_directory_uri() . '/inc/img/header/header-1.png',
            'header-style-2' => get_template_directory_uri() . '/inc/img/header/header-2.png',
            'header-style-3' => get_template_directory_uri() . '/inc/img/header/header-3.png',
            'header-style-4' => get_template_directory_uri() . '/inc/img/header/header-4.png',
        ],
        'default'     => 'header-style-1',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'logo',
        'label'       => esc_html__( 'Header Logo', 'clentac' ),
        'description' => esc_html__( 'Upload Your Logo', 'clentac' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo.svg',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'secondary_logo',
        'label'       => esc_html__( 'Header Secondary Logo', 'clentac' ),
        'description' => esc_html__( 'Upload Your Logo', 'clentac' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/secondary_logo.svg',
    ];

    $fields[] = [
        'type'        => 'dimension',
        'settings'    => 'logo_size_adjust',
		'label'       => esc_html__( 'Header Logo Size', 'clentac' ),
		'description' => esc_html__( 'Adjust your logo size with px', 'clentac' ),
		'section'     => 'section_header_logo',
		'default'     => '186px',
        'choices'     => [
			'accept_unitless' => true,
		],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'preloader_logo',
        'label'       => esc_html__('Preloader Logo', 'clentac'),
        'description' => esc_html__('Upload Preloader Logo.', 'clentac'),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/preloader.png',
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_header_fields' );


/*
Header Top Settings
*/
function _header_top_fields( $fields ) {

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_show_header_top',
        'label'    => esc_html__( 'Show Header Top', 'clentac' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
        'active_callback'  => [
            [
                'setting'  => 'choose_default_header',
                'operator' => '!==',
                'value'    => 'header-style-3',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'clentac_heder_top_message',
        'label'    => esc_html__('Header Top Message', 'clentac'),
        'section'  => 'header_top_setting',
        'priority' => 10,
        'default'  => esc_html__('best cleaning company website forever!', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_top',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '!==',
                'value'    => 'header-style-3',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'clentac_heder_working_hours',
        'label'    => esc_html__('Header Top Working Hours', 'clentac'),
        'section'  => 'header_top_setting',
        'priority' => 10,
        'default'  => esc_html__('working hours : Mon-sat (8.00am - 6.00PM)', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_top',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '!==',
                'value'    => 'header-style-3',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_show_header_contact',
        'label'    => esc_html__( 'Show Header Contact', 'clentac' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
        'active_callback'  => [
            [
                'setting'  => 'choose_default_header',
                'operator' => '!==',
                'value'    => 'header-style-3',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_email_text',
        'label'    => esc_html__('Header Email Text', 'clentac'),
        'section'  => 'header_top_setting',
        'priority' => 10,
        'default'  => esc_html__('Mail To Us', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_contact',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '!==',
                'value'    => 'header-style-3',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_email',
        'label'    => esc_html__('Header Email', 'clentac'),
        'section'  => 'header_top_setting',
        'priority' => 10,
        'default'  => esc_html__('envato@gmail.com', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_contact',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '!==',
                'value'    => 'header-style-3',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_phone_text',
        'label'    => esc_html__('Header Phone Text', 'clentac'),
        'section'  => 'header_top_setting',
        'priority' => 10,
        'default'  => esc_html__('Call for help:', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_contact',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '!==',
                'value'    => 'header-style-3',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_phone',
        'label'    => esc_html__('Header Phone Number', 'clentac'),
        'section'  => 'header_top_setting',
        'priority' => 10,
        'default'  => esc_html__('(+055) 6489 6448', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_contact',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '!==',
                'value'    => 'header-style-3',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_address_text',
        'label'    => esc_html__('Header Address Text', 'clentac'),
        'section'  => 'header_top_setting',
        'priority' => 10,
        'default'  => esc_html__('Address', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_contact',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '!==',
                'value'    => 'header-style-3',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_address',
        'label'    => esc_html__('Header Address', 'clentac'),
        'section'  => 'header_top_setting',
        'priority' => 10,
        'default'  => esc_html__('380 St, New York, USA', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_contact',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '!==',
                'value'    => 'header-style-3',
            ],
        ],
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_top_fields' );

/*
Header Right Settings
*/
function _header_right_fields( $fields ) {

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_show_header_right',
        'label'    => esc_html__( 'Show Header Right', 'clentac' ),
        'section'  => 'header_right_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_show_header_search',
        'label'    => esc_html__( 'Show Header Search', 'clentac' ),
        'section'  => 'header_right_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_show_header_btn',
        'label'    => esc_html__( 'Show Header Button', 'clentac' ),
        'section'  => 'header_right_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
        'active_callback'  => [
            [
                'setting'  => 'choose_default_header',
                'operator' => '!==',
                'value'    => 'header-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_btn_text',
        'label'    => esc_html__('Header Button Text', 'clentac'),
        'section'  => 'header_right_setting',
        'priority' => 10,
        'default'  => esc_html__('Get in touch', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_btn',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '!==',
                'value'    => 'header-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_btn_url',
        'label'    => esc_html__('Header Button URL', 'clentac'),
        'section'  => 'header_right_setting',
        'priority' => 10,
        'default'  => esc_html__('#', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_btn',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '!==',
                'value'    => 'header-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_number_text',
        'label'    => esc_html__('Header Call Text', 'clentac'),
        'section'  => 'header_right_setting',
        'priority' => 10,
        'default'  => esc_html__('Call for help:', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_btn',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '===',
                'value'    => 'header-style-4',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_number',
        'label'    => esc_html__('Header Phone Number', 'clentac'),
        'section'  => 'header_right_setting',
        'priority' => 10,
        'default'  => esc_html__('(+055) 6489 6448', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_btn',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '===',
                'value'    => 'header-style-4',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_show_header_social',
        'label'    => esc_html__( 'Show Header Social', 'clentac' ),
        'section'  => 'header_right_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
        'active_callback'  => [
            [
                'setting'  => 'choose_default_header',
                'operator' => '===',
                'value'    => 'header-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_fb_url',
        'label'    => esc_html__('Facebook URL', 'clentac'),
        'section'  => 'header_right_setting',
        'priority' => 10,
        'default'  => esc_html__('#', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_social',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '===',
                'value'    => 'header-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_twitter_url',
        'label'    => esc_html__('Twitter URL', 'clentac'),
        'section'  => 'header_right_setting',
        'priority' => 10,
        'default'  => esc_html__('#', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_social',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '===',
                'value'    => 'header-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_linkedin_url',
        'label'    => esc_html__('Linkedin URL', 'clentac'),
        'section'  => 'header_right_setting',
        'priority' => 10,
        'default'  => esc_html__('#', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_social',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '===',
                'value'    => 'header-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_instagram_url',
        'label'    => esc_html__('Instagram URL', 'clentac'),
        'section'  => 'header_right_setting',
        'priority' => 10,
        'default'  => esc_html__('#', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_social',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '===',
                'value'    => 'header-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_heder_youtube_url',
        'label'    => esc_html__('Youtube URL', 'clentac'),
        'section'  => 'header_right_setting',
        'priority' => 10,
        'default'  => esc_html__('#', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_header_social',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_header',
                'operator' => '===',
                'value'    => 'header-style-2',
            ],
        ],
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_right_fields' );

/*
Mobile Menu Settings
*/
function _mobile_menu_fields( $fields ) {

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'mobile_logo',
        'label'       => esc_html__( 'Mobile Menu Logo', 'clentac' ),
        'description' => esc_html__( 'Upload Your Logo.', 'clentac' ),
        'section'     => 'mobile_menu_setting',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo.svg',
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_show_mobile_social',
        'label'    => esc_html__( 'Show Mobile Menu Social', 'clentac' ),
        'section'  => 'mobile_menu_setting',
        'default'  => 0,
        'priority' => 12,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    // Mobile section social
    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_mobile_fb_url',
        'label'    => esc_html__( 'Facebook URL', 'clentac' ),
        'section'  => 'mobile_menu_setting',
        'default'  => esc_html__( '#', 'clentac' ),
        'priority' => 12,
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_mobile_social',
                'operator' => '===',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_mobile_twitter_url',
        'label'    => esc_html__( 'Twitter URL', 'clentac' ),
        'section'  => 'mobile_menu_setting',
        'default'  => esc_html__( '#', 'clentac' ),
        'priority' => 12,
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_mobile_social',
                'operator' => '===',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_mobile_instagram_url',
        'label'    => esc_html__( 'Instagram URL', 'clentac' ),
        'section'  => 'mobile_menu_setting',
        'default'  => esc_html__( '#', 'clentac' ),
        'priority' => 12,
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_mobile_social',
                'operator' => '===',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_mobile_discord_url',
        'label'    => esc_html__( 'Discord URL', 'clentac' ),
        'section'  => 'mobile_menu_setting',
        'default'  => esc_html__( '#', 'clentac' ),
        'priority' => 12,
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_mobile_social',
                'operator' => '===',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_mobile_telegram_url',
        'label'    => esc_html__( 'Telegram URL', 'clentac' ),
        'section'  => 'mobile_menu_setting',
        'default'  => esc_html__( '#', 'clentac' ),
        'priority' => 12,
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_mobile_social',
                'operator' => '===',
                'value'    => true,
            ],
        ],
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_mobile_menu_fields' );


/*
_header_page_title_fields
 */
function _header_page_title_fields( $fields ) {

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'breadcrumb_bg_img',
        'label'       => esc_html__('Breadcrumb Background Image', 'clentac'),
        'description' => esc_html__('Upload Image', 'clentac'),
        'section'     => 'breadcrumb_setting',
        'default'     => get_template_directory_uri() . '/assets/img/bg/breadcrumb_bg.jpg',
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'clentac_breadcrumb_bg_color',
        'label'       => __('Breadcrumb BG Color', 'clentac'),
        'description' => esc_html__('This is a Breadcrumb bg color control.', 'clentac'),
        'section'     => 'breadcrumb_setting',
        'default'     => '#1239ac',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'breadcrumb_info_switch',
        'label'    => esc_html__( 'Breadcrumb Info switch', 'clentac' ),
        'section'  => 'breadcrumb_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_page_title_fields' );

/*
Header Social
 */
function _header_blog_fields( $fields ) {
// Blog Setting
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_blog_btn_switch',
        'label'    => esc_html__( 'Blog Button ON/OFF', 'clentac' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_blog_cat',
        'label'    => esc_html__( 'Blog Category Meta ON/OFF', 'clentac' ),
        'section'  => 'blog_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_blog_author',
        'label'    => esc_html__( 'Blog Author Meta ON/OFF', 'clentac' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_blog_date',
        'label'    => esc_html__( 'Blog Date Meta ON/OFF', 'clentac' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_blog_comments',
        'label'    => esc_html__( 'Blog Comments Meta ON/OFF', 'clentac' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_show_blog_share',
        'label'    => esc_html__( 'Show Blog Share', 'clentac' ),
        'section'  => 'blog_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_blog_btn',
        'label'    => esc_html__( 'Blog Button text', 'clentac' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Read More', 'clentac' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title',
        'label'    => esc_html__( 'Blog Title', 'clentac' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog', 'clentac' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title_details',
        'label'    => esc_html__( 'Blog Details Title', 'clentac' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog Details', 'clentac' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', '_header_blog_fields' );

/*
Footer
 */
function _header_footer_fields( $fields ) {

    // Footer Setting
    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_footer',
        'label'       => esc_html__( 'Choose Footer Style', 'clentac' ),
        'section'     => 'footer_setting',
        'default'     => '5',
        'placeholder' => esc_html__( 'Select an option...', 'clentac' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'footer-style-1'   => get_template_directory_uri() . '/inc/img/footer/footer-1.png',
            'footer-style-2'   => get_template_directory_uri() . '/inc/img/footer/footer-2.png',
        ],
        'default'     => 'footer-style-1',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'clentac_footer_bg',
        'label'       => esc_html__('Footer Background Image.', 'clentac'),
        'description' => esc_html__('Footer Background Image.', 'clentac'),
        'section'     => 'footer_setting',
        'priority'    => 11,
        'active_callback'  => [
            [
                'setting'  => 'choose_default_footer',
                'operator' => '===',
                'value'    => 'footer-style-1',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'clentac_footer_bg_color',
        'label'       => __('Footer BG Color', 'clentac'),
        'description' => esc_html__('This is a Footer bg color control.', 'clentac'),
        'section'     => 'footer_setting',
        'default'     => '#0a1e5b',
        'priority'    => 12,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'clentac_show_footer_contact',
        'label'    => esc_html__('Show Footer Contact', 'clentac'),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 13,
        'choices'  => [
            'on'  => esc_html__('Enable', 'clentac'),
            'off' => esc_html__('Disable', 'clentac'),
        ],
        'active_callback'  => [
            [
                'setting'  => 'choose_default_footer',
                'operator' => '===',
                'value'    => 'footer-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_footer_email_text',
        'label'    => esc_html__('Footer Email Text', 'clentac'),
        'section'  => 'footer_setting',
        'priority' => 14,
        'default'  => esc_html__('Mail To Us', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_footer_contact',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_footer',
                'operator' => '===',
                'value'    => 'footer-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_footer_email',
        'label'    => esc_html__('Footer Email', 'clentac'),
        'section'  => 'footer_setting',
        'priority' => 14,
        'default'  => esc_html__('envato@gmail.com', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_footer_contact',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_footer',
                'operator' => '===',
                'value'    => 'footer-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_footer_phone_text',
        'label'    => esc_html__('Footer Phone Text', 'clentac'),
        'section'  => 'footer_setting',
        'priority' => 14,
        'default'  => esc_html__('Call for help:', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_footer_contact',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_footer',
                'operator' => '===',
                'value'    => 'footer-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_footer_phone',
        'label'    => esc_html__('Footer Phone Number', 'clentac'),
        'section'  => 'footer_setting',
        'priority' => 14,
        'default'  => esc_html__('(+055) 6489 6448', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_footer_contact',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_footer',
                'operator' => '===',
                'value'    => 'footer-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_footer_address_text',
        'label'    => esc_html__('Footer Address Text', 'clentac'),
        'section'  => 'footer_setting',
        'priority' => 14,
        'default'  => esc_html__('Address', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_footer_contact',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_footer',
                'operator' => '===',
                'value'    => 'footer-style-2',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_footer_address',
        'label'    => esc_html__('Footer Address', 'clentac'),
        'section'  => 'footer_setting',
        'priority' => 14,
        'default'  => esc_html__('380 St, New York, USA', 'clentac'),
        'active_callback'  => [
            [
                'setting'  => 'clentac_show_footer_contact',
                'operator' => '===',
                'value'    => true,
            ],
            [
                'setting'  => 'choose_default_footer',
                'operator' => '===',
                'value'    => 'footer-style-2',
            ],
        ],
    ];



    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_logo_area',
        'label'    => esc_html__( 'Show Footer Logo', 'clentac' ),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 15,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'footer_logo',
        'label'       => esc_html__('Footer Logo', 'clentac'),
        'description' => esc_html__('Upload Your Logo.', 'clentac'),
        'section'     => 'footer_setting',
        'default'     => get_template_directory_uri() . '/assets/img/logo/secondary_logo.svg',
        'priority'    => 16,
        'active_callback'  => [
            [
                'setting'  => 'footer_logo_area',
                'operator' => '===',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'select',
        'settings'    => 'footer_widget_number',
        'label'       => esc_html__( 'Widget Number', 'clentac' ),
        'section'     => 'footer_setting',
        'default'     => '4',
        'placeholder' => esc_html__( 'Select an option...', 'clentac' ),
        'priority'    => 17,
        'multiple'    => 1,
        'choices'     => [
            '4' => esc_html__( 'Widget Number 4', 'clentac' ),
            '3' => esc_html__( 'Widget Number 3', 'clentac' ),
            '2' => esc_html__( 'Widget Number 2', 'clentac' ),
        ],
        'active_callback'  => [
            [
                'setting'  => 'choose_default_footer',
                'operator' => '===',
                'value'    => 'footer-style-1',
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_copyright',
        'label'    => esc_html__('CopyRight', 'clentac'),
        'section'  => 'footer_setting',
        'default'  => wp_kses_post('Copyright © 2023 Clentac All Rights Reserved.', 'clentac'),
        'priority' => 18,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'show_copyright_menu',
        'label'    => esc_html__( 'Show Copyright Menu', 'clentac' ),
        'section'  => 'footer_setting',
        'default'  => '0',
        'priority' => 19,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'clentac' ),
            'off' => esc_html__( 'Disable', 'clentac' ),
        ],
    ];

    $fields[] = [
        'type'     => 'repeater',
		'settings' => 'copyright_menu_repeater',
		'label'    => esc_html__( 'Copyright Menu', 'clentac' ),
		'section'  => 'footer_setting',
		'priority' => 19,
        'active_callback'  => [
            [
                'setting'  => 'show_copyright_menu',
                'operator' => '===',
                'value'    => true,
            ],
        ],
		'default'  => [
			[
				'link_text'   => esc_html__( 'Privacy policy', 'clentac' ),
				'link_url'    => '#',
			],
			[
				'link_text'   => esc_html__( 'Terms & Conditions', 'clentac' ),
				'link_url'    => '#',
			],
		],
		'fields'   => [
			'link_text'   => [
				'type'        => 'text',
				'label'       => esc_html__( 'Item Name', 'clentac' ),
				'description' => esc_html__( 'Enter your menu item name', 'clentac' ),
				'default'     => '',
			],
			'link_url'    => [
				'type'        => 'text',
				'label'       => esc_html__( 'Link URL', 'clentac' ),
				'description' => esc_html__( 'Enter your menu item link', 'clentac' ),
				'default'     => '',
			],
		],
	];

    return $fields;
}
add_filter( 'kirki/fields', '_header_footer_fields' );


// color
function clentac_color_fields( $fields ) {

    // Primary Settings
    $fields[] = [
        'label'       => __( 'Primary Color', 'clentac' ),
        'settings'    => 'clentac_primary_color',
        'type'        => 'color',
        'section'     => 'color_setting',
        'default'     => '#007CFB',
        'description' => esc_html__( 'This is a Primary color control.', 'clentac' ),
        'priority'    => 10,
    ];

    // Secondary Settings
    $fields[] = [
        'label'       => __( 'Secondary Color', 'clentac' ),
        'type'        => 'color',
        'settings'    => 'clentac_secondary_color',
        'section'     => 'color_setting',
        'default'     => '#82CC09',
        'description' => esc_html__( 'This is a Secondary color control.', 'clentac' ),
        'priority'    => 10,
    ];

    // Heading Color Settings
    $fields[] = [
        'label'       => __( 'Heading Text Color', 'clentac' ),
        'type'        => 'color',
        'settings'    => 'clentac_heading_color',
        'section'     => 'color_setting',
        'default'     => '#1239AC',
        'description' => esc_html__( 'This is a Heading color control.', 'clentac' ),
        'priority'    => 10,
    ];

    return $fields;
}
add_filter( 'kirki/fields', 'clentac_color_fields' );

// 404
function clentac_404_fields( $fields ) {
    // 404 settings
    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_error_text',
        'label'    => esc_html__( '404 Text', 'clentac' ),
        'section'  => '404_page',
        'default'  => esc_html__( '404', 'clentac' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'clentac_error_title',
        'label'    => esc_html__( 'Not Found Title', 'clentac' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Sorry, the page you are looking for could not be found', 'clentac' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'clentac_error_link_text',
        'label'    => esc_html__( '404 Link Text', 'clentac' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Back To Home', 'clentac' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', 'clentac_404_fields' );


/**
 * Added Fields
 */
function clentac_typo_fields( $fields ) {
    // typography settings
    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_body_setting',
        'label'       => esc_html__( 'Body Font', 'clentac' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'body',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h_setting',
        'label'       => esc_html__( 'Heading h1 Fonts', 'clentac' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h1',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h2_setting',
        'label'       => esc_html__( 'Heading h2 Fonts', 'clentac' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h2',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h3_setting',
        'label'       => esc_html__( 'Heading h3 Fonts', 'clentac' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h3',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h4_setting',
        'label'       => esc_html__( 'Heading h4 Fonts', 'clentac' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h4',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h5_setting',
        'label'       => esc_html__( 'Heading h5 Fonts', 'clentac' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h5',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h6_setting',
        'label'       => esc_html__( 'Heading h6 Fonts', 'clentac' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h6',
            ],
        ],
    ];
    return $fields;
}

add_filter( 'kirki/fields', 'clentac_typo_fields' );


/**
 * Added Fields
 */
function clentac_woo_setting( $fields ) {
    // woo settings
    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_shop',
        'label'    => esc_html__( 'Shop Page Title', 'clentac' ),
        'section'  => 'woo_setting',
        'default'  => esc_html__( 'Shop', 'clentac' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_shop_single',
        'label'    => esc_html__( 'Product Single Title', 'clentac' ),
        'section'  => 'woo_setting',
        'default'  => esc_html__( 'Product Single', 'clentac' ),
        'priority' => 10,
    ];

    return $fields;
}

add_filter( 'kirki/fields', 'clentac_woo_setting' );


/**
 * This is a short hand function for getting setting value from customizer
 *
 * @param string $name
 *
 * @return bool|string
 */
function CLENTAC_THEME_OPTION( $name ) {
    $value = '';
    if ( class_exists( 'clentac' ) ) {
        $value = Kirki::get_option( clentac_get_theme(), $name );
    }

    return apply_filters( 'CLENTAC_THEME_OPTION', $value, $name );
}

/**
 * Get config ID
 *
 * @return string
 */
function clentac_get_theme() {
    return 'clentac';
}