<?php
/**
 * Custom template tags for this theme
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package clentac
 */


/**
 *
 * Clentac Header
 */

function clentac_check_header() {
    $clentac_header_style = function_exists( 'get_field' ) ? get_field( 'header_style' ) : NULL;
    $clentac_default_header_style = get_theme_mod( 'choose_default_header', 'header-style-1' );

    if ( $clentac_header_style == 'header-style-1' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-1' );
    }
    elseif ( $clentac_header_style == 'header-style-2' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-2' );
    }
    elseif ( $clentac_header_style == 'header-style-3' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-3' );
    }
    elseif ( $clentac_header_style == 'header-style-4' && empty($_GET['s']) ) {
        get_template_part( 'template-parts/header/header-4' );
    }
    else {

        /** Default Header Style **/
        if ( $clentac_default_header_style == 'header-style-2' ) {
            get_template_part( 'template-parts/header/header-2' );
        }
        elseif ( $clentac_default_header_style == 'header-style-3' ) {
            get_template_part( 'template-parts/header/header-3' );
        }
        elseif ( $clentac_default_header_style == 'header-style-4' ) {
            get_template_part( 'template-parts/header/header-4' );
        }
        else {
            get_template_part( 'template-parts/header/header-1' );
        }
    }

}
add_action( 'clentac_header_style', 'clentac_check_header', 10 );


/**
 * [clentac_language_list description]
 * @return [type] [description]
 */
function _clentac_language( $mar ) {
    return $mar;
}
function clentac_language_list() {

    $mar = '';
    $languages = apply_filters( 'wpml_active_languages', NULL, 'orderby=id&order=desc' );
    if ( !empty( $languages ) ) {
        $mar = '<ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">';
        foreach ( $languages as $lan ) {
            $active = $lan['active'] == 1 ? 'active' : '';
            $mar .= '<li class="' . $active . '"><a class="dropdown-item" href="' . $lan['url'] . '">' . $lan['translated_name'] . '</a></li>';
        }
        $mar .= '</ul>';
    } else {
        //remove this code when send themeforest reviewer team
        $mar .= '<ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">';
        $mar .= '<li><a class="dropdown-item" href="#">' . esc_html__( 'SPA', 'clentac' ) . '</a></li>';
        $mar .= '<li><a class="dropdown-item" href="#">' . esc_html__( 'GRE', 'clentac' ) . '</a></li>';
        $mar .= '<li><a class="dropdown-item" href="#">' . esc_html__( 'CIN', 'clentac' ) . '</a></li>';
        $mar .= ' </ul>';
    }
    print _clentac_language( $mar );
}
add_action( 'clentac_language', 'clentac_language_list' );



/**
 * [clentac_language_list description]
 * @return [type] [description]
 */
function _clentac_language2( $mar ) {
    return $mar;
}
function clentac_language_list2() {

    $mar = '';
    $languages = apply_filters( 'wpml_active_languages', NULL, 'orderby=id&order=desc' );
    if ( !empty( $languages ) ) {
        $mar = '<ul class="dropdown-menu" aria-labelledby="dropdownMenuButton2">';
        foreach ( $languages as $lan ) {
            $active = $lan['active'] == 1 ? 'active' : '';
            $mar .= '<li class="' . $active . '"><a class="dropdown-item" href="' . $lan['url'] . '">' . $lan['translated_name'] . '</a></li>';
        }
        $mar .= '</ul>';
    } else {
        //remove this code when send themeforest reviewer team
        $mar .= '<ul class="dropdown-menu" aria-labelledby="dropdownMenuButton2">';
        $mar .= '<li><a class="dropdown-item" href="#">' . esc_html__( 'SPAnish', 'clentac' ) . '</a></li>';
        $mar .= '<li><a class="dropdown-item" href="#">' . esc_html__( 'Hindi', 'clentac' ) . '</a></li>';
        $mar .= '<li><a class="dropdown-item" href="#">' . esc_html__( 'chinese', 'clentac' ) . '</a></li>';
        $mar .= ' </ul>';
    }
    print _clentac_language( $mar );
}
add_action( 'clentac_language2', 'clentac_language_list2' );


// Header Logo
function clentac_header_logo() { ?>
    <?php
        $clentac_logo_on = function_exists( 'get_field' ) ? get_field( 'is_enable_sec_logo' ) : NULL;
        $clentac_logo = get_template_directory_uri() . '/assets/img/logo/logo.svg';
        $clentac_logo_black = get_template_directory_uri() . '/assets/img/logo/secondary_logo.svg';

        $clentac_site_logo = get_theme_mod( 'logo', $clentac_logo );
        $clentac_secondary_logo = get_theme_mod( 'secondary_logo', $clentac_logo_black );
    ?>

    <?php if ( !empty( $clentac_logo_on ) ) : ?>
        <a class="secondary-logo" href="<?php print esc_url( home_url( '/' ) );?>">
            <img src="<?php print esc_url( $clentac_secondary_logo );?>" height="auto" style="max-width: <?php echo get_theme_mod( 'logo_size_adjust', '186px' ); ?>" alt="<?php print esc_attr__( 'Logo', 'clentac' );?>" />
        </a>
    <?php else : ?>
        <a class="main-logo" href="<?php print esc_url( home_url( '/' ) );?>">
            <img src="<?php print esc_url( $clentac_site_logo );?>" height="auto" style="max-width: <?php echo get_theme_mod( 'logo_size_adjust', '186px' ); ?>" alt="<?php print esc_attr__( 'Logo', 'clentac' );?>" />
        </a>
    <?php endif; ?>
   <?php
}

// Header Sticky Logo
function clentac_header_sticky_logo() {?>
    <?php
        $clentac_logo_black = get_template_directory_uri() . '/assets/img/logo/secondary_logo.svg';
        $clentac_secondary_logo = get_theme_mod( 'secondary_logo', $clentac_logo_black );
    ?>
      <a class="main-logo" href="<?php print esc_url( home_url( '/' ) );?>">
          <img src="<?php print esc_url( $clentac_secondary_logo );?>" height="auto" style="max-width: <?php echo get_theme_mod( 'logo_size_adjust', '186px' ); ?>" alt="<?php print esc_attr__( 'Logo', 'clentac' );?>" />
      </a>
    <?php
}

// Mobile Menu Logo
function clentac_mobile_logo() {
    $mobile_menu_logo = get_template_directory_uri() . '/assets/img/logo/logo.svg';
    $mobile_logo = get_theme_mod('mobile_logo', $mobile_menu_logo);

    ?>

    <a class="main-logo" href="<?php print esc_url( home_url( '/' ) ); ?>">
        <img src="<?php print esc_url( $mobile_logo ); ?>" height="auto" style="max-width: <?php echo get_theme_mod( 'logo_size_adjust', '186px' ); ?>" alt="<?php print esc_attr__( 'Logo', 'clentac' );?>" />
    </a>

<?php }


/**
 * [clentac_header_social_profiles description]
 * @return [type] [description]
 */
function clentac_header_social_profiles() {
    $clentac_header_fb_url = get_theme_mod( 'clentac_header_fb_url', __( '#', 'clentac' ) );
    $clentac_header_twitter_url = get_theme_mod( 'clentac_header_twitter_url', __( '#', 'clentac' ) );
    $clentac_header_linkedin_url = get_theme_mod( 'clentac_header_linkedin_url', __( '#', 'clentac' ) );
    ?>
    <ul>
        <?php if ( !empty( $clentac_header_fb_url ) ): ?>
          <li><a href="<?php print esc_url( $clentac_header_fb_url );?>"><span><i class="flaticon-facebook"></i></span></a></li>
        <?php endif;?>

        <?php if ( !empty( $clentac_header_twitter_url ) ): ?>
            <li><a href="<?php print esc_url( $clentac_header_twitter_url );?>"><span><i class="flaticon-twitter"></i></span></a></li>
        <?php endif;?>

        <?php if ( !empty( $clentac_header_linkedin_url ) ): ?>
            <li><a href="<?php print esc_url( $clentac_header_linkedin_url );?>"><span><i class="flaticon-linkedin"></i></span></a></li>
        <?php endif;?>
    </ul>

<?php
}

function clentac_footer_social_profiles() {
    $clentac_footer_fb_url = get_theme_mod( 'clentac_footer_fb_url', __( '#', 'clentac' ) );
    $clentac_footer_twitter_url = get_theme_mod( 'clentac_footer_twitter_url', __( '#', 'clentac' ) );
    $clentac_footer_vimeo_url = get_theme_mod( 'clentac_footer_vimeo_url', __( '#', 'clentac' ) );
    $clentac_footer_youtube_url = get_theme_mod( 'clentac_footer_youtube_url', __( '#', 'clentac' ) );
    ?>

        <ul>
        <?php if ( !empty( $clentac_footer_fb_url ) ): ?>
            <li>
                <a href="<?php print esc_url( $clentac_footer_fb_url );?>">
                    <i class="fab fa-facebook-square"></i>
                </a>
            </li>
        <?php endif;?>

        <?php if ( !empty( $clentac_footer_twitter_url ) ): ?>
            <li>
                <a href="<?php print esc_url( $clentac_footer_twitter_url );?>">
                    <i class="fab fa-twitter"></i>
                </a>
            </li>
        <?php endif;?>

        <?php if ( !empty( $clentac_footer_vimeo_url ) ): ?>
            <li>
                <a href="<?php print esc_url( $clentac_footer_vimeo_url );?>">
                    <i class="fab fa-vimeo-v"></i>
                </a>
            </li>
        <?php endif;?>

        <?php if ( !empty( $clentac_footer_youtube_url ) ): ?>
            <li>
                <a href="<?php print esc_url( $clentac_footer_youtube_url );?>">
                    <i class="fab fa-youtube"></i>
                </a>
            </li>
        <?php endif;?>
        </ul>
<?php
}

/**
 * [clentac_mobile_social_profiles description]
 * @return [type] [description]
 */
function clentac_mobile_social_profiles() {
    $clentac_mobile_fb_url           = get_theme_mod('clentac_mobile_fb_url', __('#','clentac'));
    $clentac_mobile_twitter_url      = get_theme_mod('clentac_mobile_twitter_url', __('#','clentac'));
    $clentac_mobile_instagram_url    = get_theme_mod('clentac_mobile_instagram_url', __('#','clentac'));
    $clentac_mobile_discord_url     = get_theme_mod('clentac_mobile_discord_url', __('#','clentac'));
    $clentac_mobile_telegram_url      = get_theme_mod('clentac_mobile_telegram_url', __('#','clentac'));
    ?>

    <ul class="clearfix">
        <?php if (!empty($clentac_mobile_fb_url)): ?>
        <li class="facebook">
            <a href="<?php print esc_url($clentac_mobile_fb_url); ?>"><i class="fab fa-facebook-f"></i></a>
        </li>
        <?php endif; ?>

        <?php if (!empty($clentac_mobile_twitter_url)): ?>
        <li class="twitter">
            <a href="<?php print esc_url($clentac_mobile_twitter_url); ?>"><i class="fab fa-twitter"></i></a>
        </li>
        <?php endif; ?>

        <?php if (!empty($clentac_mobile_instagram_url)): ?>
        <li class="instagram">
            <a href="<?php print esc_url($clentac_mobile_instagram_url); ?>"><i class="fab fa-instagram"></i></a>
        </li>
        <?php endif; ?>

        <?php if (!empty($clentac_mobile_discord_url)): ?>
        <li class="discord">
            <a href="<?php print esc_url($clentac_mobile_discord_url); ?>"><i class="fab fa-discord"></i></a>
        </li>
        <?php endif; ?>

        <?php if (!empty($clentac_mobile_telegram_url)): ?>
        <li class="telegram">
            <a href="<?php print esc_url($clentac_mobile_telegram_url); ?>"><i class="fab fa-telegram-plane"></i></a>
        </li>
        <?php endif; ?>
    </ul>

<?php
}


/**
 * [clentac_header_menu description]
 * @return [type] [description]
 */
function clentac_header_menu() {
    ?>
    <?php
        wp_nav_menu( [
            'theme_location' => 'main-menu',
            'menu_class'     => 'navigation',
            'container'      => '',
            'fallback_cb'    => 'Clentac_Navwalker_Class::fallback',
            'walker'         => new Clentac_Navwalker_Class,
        ] );
    ?>
    <?php
}


/**
 * [clentac_header_menu description]
 * @return [type] [description]
 */
function clentac_mobile_menu() {
    ?>
    <?php
        $clentac_menu = wp_nav_menu( [
            'theme_location' => 'main-menu',
            'menu_class'     => 'navigation',
            'container'      => '',
            'fallback_cb'    => false,
            'echo'           => false,
        ] );

    $clentac_menu = str_replace( "menu-item-has-children", "menu-item-has-children has-children", $clentac_menu );
        echo wp_kses_post( $clentac_menu );
    ?>
    <?php
}


/**
 * [clentac_search_menu description]
 * @return [type] [description]
 */
function clentac_header_search_menu() {
    ?>
    <?php
        wp_nav_menu( [
            'theme_location' => 'header-search-menu',
            'menu_class'     => '',
            'container'      => '',
            'fallback_cb'    => 'Clentac_Navwalker_Class::fallback',
            'walker'         => new Clentac_Navwalker_Class,
        ] );
    ?>
    <?php
}

/**
 * [clentac_footer_menu description]
 * @return [type] [description]
 */
function clentac_footer_menu() {
    wp_nav_menu( [
        'theme_location' => 'footer-menu',
        'menu_class'     => 'list-wrap',
        'container'      => '',
        'fallback_cb'    => 'Clentac_Navwalker_Class::fallback',
        'walker'         => new Clentac_Navwalker_Class,
    ] );
}


/**
 * [clentac_category_menu description]
 * @return [type] [description]
 */
function clentac_category_menu() {
    wp_nav_menu( [
        'theme_location' => 'category-menu',
        'menu_class'     => 'cat-submenu m-0',
        'container'      => '',
        'fallback_cb'    => 'Clentac_Navwalker_Class::fallback',
        'walker'         => new Clentac_Navwalker_Class,
    ] );
}

/**
 *
 * clentac footer
 */
add_action( 'clentac_footer_style', 'clentac_check_footer', 10 );

function clentac_check_footer() {

    $footer_show = 1;
    $is_footer = function_exists( 'get_field' ) ? get_field( 'is_it_invisible_footer') : '';
    if( !empty($_GET['s']) ) {
      $is_footer = null;
    }

    if ( empty( $is_footer ) && $footer_show == 1 ) {
        $clentac_footer_style = function_exists( 'get_field' ) ? get_field( 'footer_style' ) : NULL;
        $clentac_default_footer_style = get_theme_mod( 'choose_default_footer', 'footer-style-1' );

        if ($clentac_footer_style == 'footer-style-1' && empty($_GET['s'])) {
            get_template_part('template-parts/footer/footer-1');
        }
        elseif ($clentac_footer_style == 'footer-style-2' && empty($_GET['s'])) {
            get_template_part('template-parts/footer/footer-2');
        }
        else {
            /** Default Header Style **/
            if ($clentac_default_footer_style == 'footer-style-2' ) {
                get_template_part('template-parts/footer/footer-2' );
            }
            else {
                get_template_part('template-parts/footer/footer-1');
            }
        }
    }

}

// clentac_copyright_text
function clentac_copyright_text() {
   print get_theme_mod( 'clentac_copyright', wp_kses_post( 'Copyright © 2023 Clentac All Rights Reserved.', 'clentac' ) );
}


/**
 *
 * pagination
 */
if ( !function_exists( 'clentac_pagination' ) ) {

    function _clentac_pagi_callback( $pagination ) {
        return $pagination;
    }

    //page navegation
    function clentac_pagination( $prev, $next, $pages, $args ) {
        global $wp_query, $wp_rewrite;
        $menu = '';
        $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;

        if ( $pages == '' ) {
            global $wp_query;
            $pages = $wp_query->max_num_pages;

            if ( !$pages ) {
                $pages = 1;
            }

        }

        $pagination = [
            'base'      => add_query_arg( 'paged', '%#%' ),
            'format'    => '',
            'total'     => $pages,
            'current'   => $current,
            'prev_text' => $prev,
            'next_text' => $next,
            'type'      => 'array',
        ];

        //rewrite permalinks
        if ( $wp_rewrite->using_permalinks() ) {
            $pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );
        }

        if ( !empty( $wp_query->query_vars['s'] ) ) {
            $pagination['add_args'] = ['s' => get_query_var( 's' )];
        }

        $pagi = '';
        if ( paginate_links( $pagination ) != '' ) {
            $paginations = paginate_links( $pagination );
            $pagi .= '<ul class="pagination">';
            foreach ( $paginations as $key => $pg ) {
                $pagi .= '<li class="page-item">' . $pg . '</li>';
            }
            $pagi .= '</ul>';
        }

        print _clentac_pagi_callback( $pagi );
    }
}


// theme color
function clentac_custom_color() {

    $color_code = get_theme_mod( 'clentac_primary_color', '#007CFB' );
    wp_enqueue_style( 'clentac-custom', CLENTAC_THEME_CSS_DIR . 'clentac-custom.css', [] );
    if ( $color_code != '' ) {
        $custom_css = '';
        $custom_css .= "html:root { --tg-primary-color: " . $color_code . "}";
        $custom_css .= "html:root { --unit-primary-color: " . $color_code . "}";

        wp_add_inline_style( 'clentac-custom', $custom_css );
    }

    $color_code2 = get_theme_mod( 'clentac_secondary_color', '#82CC09' );
    wp_enqueue_style( 'clentac-custom', CLENTAC_THEME_CSS_DIR . 'clentac-custom.css', [] );
    if ( $color_code2 != '' ) {
        $custom_css = '';
        $custom_css .= "html:root { --tg-secondary-color: " . $color_code2 . "}";
        $custom_css .= "html:root { --unit-secondary-color: " . $color_code2 . "}";

        wp_add_inline_style( 'clentac-custom', $custom_css );
    }

    $color_code3 = get_theme_mod( 'clentac_heading_color', '#1239AC' );
    wp_enqueue_style( 'clentac-custom', CLENTAC_THEME_CSS_DIR . 'clentac-custom.css', [] );
    if ( $color_code3 != '' ) {
        $custom_css = '';
        $custom_css .= "html:root { --tg-heading-font-color: " . $color_code3 . "}";
        $custom_css .= "html:root { --unit-heading-font-color: " . $color_code3 . "}";

        wp_add_inline_style( 'clentac-custom', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'clentac_custom_color' );


// clentac_kses_intermediate
function clentac_kses_intermediate( $string = '' ) {
    return wp_kses( $string, clentac_get_allowed_html_tags( 'intermediate' ) );
}

function clentac_get_allowed_html_tags( $level = 'basic' ) {
    $allowed_html = [
        'b'      => [],
        'i'      => [],
        'u'      => [],
        'em'     => [],
        'br'     => [],
        'abbr'   => [
            'title' => [],
        ],
        'span'   => [
            'class' => [],
        ],
        'strong' => [],
        'a'      => [
            'href'  => [],
            'title' => [],
            'class' => [],
            'id'    => [],
        ],
    ];

    if ($level === 'intermediate') {
        $allowed_html['a'] = [
            'href' => [],
            'title' => [],
            'class' => [],
            'id' => [],
        ];
        $allowed_html['div'] = [
            'class' => [],
            'id' => [],
        ];
        $allowed_html['img'] = [
            'src' => [],
            'class' => [],
            'alt' => [],
        ];
        $allowed_html['del'] = [
            'class' => [],
        ];
        $allowed_html['ins'] = [
            'class' => [],
        ];
        $allowed_html['bdi'] = [
            'class' => [],
        ];
        $allowed_html['i'] = [
            'class' => [],
            'data-rating-value' => [],
        ];
    }

    return $allowed_html;
}



// WP kses allowed tags
// ----------------------------------------------------------------------------------------
function clentac_kses($raw){

   $allowed_tags = array(
      'a'      => array(
         'class'   => array(),
         'href'    => array(),
         'rel'  => array(),
         'title'   => array(),
         'target' => array(),
      ),
      'abbr'   => array(
         'title' => array(),
      ),
      'b'    => array(),
      'blockquote'   => array(
         'cite' => array(),
      ),
      'cite'   => array(
         'title' => array(),
      ),
      'code'  => array(),
      'del'   => array(
         'datetime'   => array(),
         'title'      => array(),
      ),
      'dd'     => array(),
      'div'    => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'dl'   => array(),
      'dt'   => array(),
      'em'   => array(),
      'h1'   => array(),
      'h2'   => array(),
      'h3'   => array(),
      'h4'   => array(),
      'h5'   => array(),
      'h6'   => array(),
      'i'    => array(
        'class' => array(),
      ),
      'img'   => array(
         'alt'  => array(),
         'class'   => array(),
         'height' => array(),
         'src'  => array(),
         'width'   => array(),
      ),
      'li'   => array(
         'class' => array(),
      ),
      'ol'   => array(
         'class' => array(),
      ),
      'p'    => array(
         'class' => array(),
      ),
      'q'    => array(
         'cite'    => array(),
         'title'   => array(),
      ),
      'span'  => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'iframe'   => array(
         'width'        => array(),
         'height'       => array(),
         'scrolling'    => array(),
         'frameborder'  => array(),
         'allow'        => array(),
         'src'          => array(),
      ),
      'strike'  => array(),
      'br'      => array(),
      'strong'    => array(),
      'data-wow-duration'   => array(),
      'data-wow-delay'   => array(),
      'data-wallpaper-options'  => array(),
      'data-stellar-background-ratio'   => array(),
      'ul'   => array(
         'class' => array(),
      ),
      'svg' => array(
           'class' => true,
           'aria-hidden' => true,
           'aria-labelledby' => true,
           'role' => true,
           'xmlns' => true,
           'width' => true,
           'height' => true,
           'viewbox' => true, // <= Must be lower case!
       ),
       'g'     => array( 'fill' => true ),
       'title' => array( 'title' => true ),
       'path'  => array( 'd' => true, 'fill' => true,  ),
      );

   if (function_exists('wp_kses')) { // WP is here
      $allowed = wp_kses($raw, $allowed_tags);
   } else {
      $allowed = $raw;
   }

   return $allowed;
}