<?php

/**
 * Template part for displaying header layout one
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package clentac
 */

// Header Settings
$clentac_show_sticky_header = get_theme_mod('clentac_show_sticky_header', false);
$sticky_header = $clentac_show_sticky_header ? 'sticky-header' : 'sticky-none';
$sticky_height = $clentac_show_sticky_header ? 'header-fixed-height' : 'header-normal-height';

// Header Right
$clentac_show_header_right = get_theme_mod('clentac_show_header_right', false);
$clentac_show_header_search = get_theme_mod('clentac_show_header_search', false);
$clentac_show_header_btn = get_theme_mod('clentac_show_header_btn', false);
$clentac_heder_btn_text = get_theme_mod('clentac_heder_btn_text', __('Get in touch', 'clentac'));
$clentac_heder_btn_url = get_theme_mod('clentac_heder_btn_url', __('#', 'clentac'));

// Mobile Menu
$clentac_show_mobile_social = get_theme_mod('clentac_show_mobile_social', false);

?>


<!-- header-area -->
<header>
    <div id="<?php echo esc_attr($sticky_height); ?>"></div>
    <div id="<?php echo esc_attr($sticky_header); ?>" class="menu-area menu-style-three">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="mobile-nav-toggler"><i class="fas fa-bars"></i></div>
                    <div class="menu-wrap">
                        <nav class="menu-nav">
                            <div class="logo">
                                <?php clentac_header_logo(); ?>
                            </div>
                            <div class="navbar-wrap main-menu d-none d-lg-flex">
                                <?php clentac_header_menu(); ?>
                            </div>

                            <?php if (!empty($clentac_show_header_right)) : ?>
                                <div class="header-action d-none d-md-block">
                                    <ul class="list-wrap">

                                        <?php if (!empty($clentac_show_header_search)) : ?>
                                            <li class="header-search">
                                                <a href="javascript:void(0)"><i class="fas fa-search"></i></a>
                                            </li>
                                        <?php endif; ?>

                                        <?php if (!empty($clentac_show_header_btn)) : ?>
                                            <li class="header-btn">
                                                <a href="<?php echo esc_url($clentac_heder_btn_url); ?>" class="btn"><?php echo esc_html($clentac_heder_btn_text); ?></a>
                                            </li>
                                        <?php endif; ?>

                                    </ul>
                                </div>
                            <?php endif; ?>

                        </nav>
                    </div>

                    <!-- Mobile Menu  -->
                    <div class="mobile-menu">
                        <nav class="menu-box">
                            <div class="close-btn"><i class="fas fa-times"></i></div>
                            <div class="nav-logo">
                                <?php clentac_mobile_logo(); ?>
                            </div>
                            <div class="menu-outer">
                                <!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header-->
                            </div>

                            <?php if (!empty($clentac_show_mobile_social)) : ?>
                                <div class="social-links">
                                    <?php clentac_mobile_social_profiles(); ?>
                                </div>
                            <?php endif; ?>

                        </nav>
                    </div>
                    <div class="menu-backdrop"></div>
                    <!-- End Mobile Menu -->

                </div>
            </div>
        </div>
    </div>

    <!-- header-search -->
    <div class="search-popup-wrap" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="search-close">
            <span><i class="fas fa-times"></i></span>
        </div>
        <div class="search-wrap text-center">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <h2 class="title"><?php echo esc_html__('... Search Here ...', 'clentac') ?></h2>
                        <div class="search-form">
                            <form method="get" action="<?php print esc_url(home_url('/')); ?>">
                                <input type="text" name="s" value="<?php print esc_attr(get_search_query()) ?>" placeholder="<?php print esc_attr__('Type keywords here', 'clentac'); ?>">
                                <button class="search-btn"><i class="fas fa-search"></i></button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- header-search-end -->

</header>
<!-- header-area-end -->